## Index

### Modules

- "../CompilerInterface"

### Interfaces

- TemplateParameter

### Variables

- SEMICOLON_RX

### Object literals

- ParamRule

## Variables

### SEMICOLON_RX

SEMICOLON_RX: RegExp = /;$/

- Defined in rules/param.ts:6

## Object literals

### ParamRule

ParamRule: object

- Defined in rules/param.ts:19

### name

name: string = "param"

- Defined in rules/param.ts:20

### analyze

- analyze(ctx: Context, t: Token): Fragment

- - Defined in rules/param.ts:26

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment

### initContext

- initContext(ctx: Context): void

- - Defined in rules/param.ts:22

  #### Parameters

  - ##### ctx: Context

  #### Returns void

Generated using TypeDoc